Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024220
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-06-27 20:372013-07-23 18:38
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revision06c07ab64e47
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024220: precision issue in taxable amount calculation

Descriptionprecision issue in taxable amount calculation
Steps To Reproduce1) Created a gift pack for Discount price: 33.33

2) Created a receipt using above created, gift pack (Total gross amount:33.33)

3) Then paid the receipt through gift card(33.33).

Defect: verify the taxable amount instead of showing as 0.00 right now system shows as 0.01 and because of this tax amount also shown as 0.01
TagsNo tags attached.
Attached Filespng file icon Even though total gross amount is zero, But taxable amount is calculated as 0.01.png [^] (226,442 bytes) 2013-06-27 20:37

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059815)
hgbot (developer)
2013-07-02 17:34

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 51f69a104ec30d0ee24b5bfe0e052e217161dc57
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 02 17:34:14 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^]

Fixed issue 24237. Fixed issue 24220. The way net and amount values in pricelists which include taxes has been reworked.
- OrderTax calculation has been moved to the end of the function. This computation will now be computed by adding up all non-rounded nets and amounts of the OrderTaxLines, and then rounding at the end.
- Multiple calls to OB.DEC have been replaced by direct calls to the BigDecimal library. This has been done to avoid losing precision on intermediate steps of the tax calculation.
- For OrderTaxLines, two new properties (netfull and amountfull) have been added. These properties are not rounded, so they can be used on calculations of the OrderTax.
- The discountedNet now not rounded, only rounded at the call to adjustPrices. This is done again not to lose precision on intermediate computations.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0059829)
hgbot (developer)
2013-07-03 10:49

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 06c07ab64e471265b0a5be947d2bf21e503300e5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 10:49:21 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/06c07ab64e471265b0a5be947d2bf21e503300e5 [^]

Fixed issue 24195. Fixed issue 24220. Avoid division by zero in some cases.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0059861)
hgbot (developer)
2013-07-04 16:40

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 51f69a104ec30d0ee24b5bfe0e052e217161dc57
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 02 17:34:14 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^]

Fixed issue 24237. Fixed issue 24220. The way net and amount values in pricelists which include taxes has been reworked.
- OrderTax calculation has been moved to the end of the function. This computation will now be computed by adding up all non-rounded nets and amounts of the OrderTaxLines, and then rounding at the end.
- Multiple calls to OB.DEC have been replaced by direct calls to the BigDecimal library. This has been done to avoid losing precision on intermediate steps of the tax calculation.
- For OrderTaxLines, two new properties (netfull and amountfull) have been added. These properties are not rounded, so they can be used on calculations of the OrderTax.
- The discountedNet now not rounded, only rounded at the call to adjustPrices. This is done again not to lose precision on intermediate computations.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0059863)
hgbot (developer)
2013-07-04 16:40

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 06c07ab64e471265b0a5be947d2bf21e503300e5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 10:49:21 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/06c07ab64e471265b0a5be947d2bf21e503300e5 [^]

Fixed issue 24195. Fixed issue 24220. Avoid division by zero in some cases.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0059904)
hgbot (developer)
2013-07-05 16:10

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 456c81d1c421377f8c4872bc6cac3458ef19e5b6
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jul 05 16:10:30 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/456c81d1c421377f8c4872bc6cac3458ef19e5b6 [^]

Related to issue 24237. Related to issue 24220: Summary taxes shouldn't be included in taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0059924)
hgbot (developer)
2013-07-08 15:26

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 456c81d1c421377f8c4872bc6cac3458ef19e5b6
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jul 05 16:10:30 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/456c81d1c421377f8c4872bc6cac3458ef19e5b6 [^]

Related to issue 24237. Related to issue 24220: Summary taxes shouldn't be included in taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0060201)
guilleaer (developer)
2013-07-23 18:38

verified

- Issue History
Date Modified Username Field Change
2013-06-27 20:37 sureshbabu New Issue
2013-06-27 20:37 sureshbabu Assigned To => marvintm
2013-06-27 20:37 sureshbabu File Added: Even though total gross amount is zero, But taxable amount is calculated as 0.01.png
2013-07-02 17:34 hgbot Checkin
2013-07-02 17:34 hgbot Note Added: 0059815
2013-07-02 17:34 hgbot Status new => resolved
2013-07-02 17:34 hgbot Resolution open => fixed
2013-07-02 17:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^]
2013-07-03 10:49 hgbot Checkin
2013-07-03 10:49 hgbot Note Added: 0059829
2013-07-03 10:49 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/06c07ab64e471265b0a5be947d2bf21e503300e5 [^]
2013-07-04 16:40 hgbot Checkin
2013-07-04 16:40 hgbot Note Added: 0059861
2013-07-04 16:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/06c07ab64e471265b0a5be947d2bf21e503300e5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^]
2013-07-04 16:40 hgbot Checkin
2013-07-04 16:40 hgbot Note Added: 0059863
2013-07-04 16:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/06c07ab64e471265b0a5be947d2bf21e503300e5 [^]
2013-07-05 16:10 hgbot Checkin
2013-07-05 16:10 hgbot Note Added: 0059904
2013-07-08 15:26 hgbot Checkin
2013-07-08 15:26 hgbot Note Added: 0059924
2013-07-23 18:38 guilleaer Review Assigned To => guilleaer
2013-07-23 18:38 guilleaer Note Added: 0060201
2013-07-23 18:38 guilleaer Status resolved => closed
2013-07-23 18:38 guilleaer Fixed in Version => RMP25


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker